com.fasterxml.jackson.databind.util

## Class ArrayBuilders

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ArrayBuilders

    public final class ArrayBuilders
    extends Object

Helper class that contains set of distinct builders for different arrays of primitive values. It also provides trivially simple reuse scheme, which assumes that caller knows not to use instances concurrently (which works ok with primitive arrays since they can not contain other non-primitive types). Also note that instances are not thread safe; the intent is that a builder is constructed on per-call (deserialization) basis.

### Nested Class Summary

Nested Classes
`static class` `ArrayBuilders.BooleanBuilder`
`static class` `ArrayBuilders.ByteBuilder`
`static class` `ArrayBuilders.DoubleBuilder`
`static class` `ArrayBuilders.FloatBuilder`
`static class` `ArrayBuilders.IntBuilder`
`static class` `ArrayBuilders.LongBuilder`
`static class` `ArrayBuilders.ShortBuilder`

### Constructor Summary

Constructors
Constructor and Description
`ArrayBuilders()`

### Method Summary

Methods
`static <T> HashSet<T>` `arrayToSet(T[] elements)`
`static Object` `getArrayComparator(Object defaultValue)` Helper method used for constructing simple value comparator used for comparing arrays for content equality.
`ArrayBuilders.BooleanBuilder` `getBooleanBuilder()`
`ArrayBuilders.ByteBuilder` `getByteBuilder()`
`ArrayBuilders.DoubleBuilder` `getDoubleBuilder()`
`ArrayBuilders.FloatBuilder` `getFloatBuilder()`
`ArrayBuilders.IntBuilder` `getIntBuilder()`
`ArrayBuilders.LongBuilder` `getLongBuilder()`
`ArrayBuilders.ShortBuilder` `getShortBuilder()`
`static <T> T[]` `insertInListNoDup(T[] array, T element)` Helper method for constructing a new array that contains specified element followed by contents of the given array but never contains duplicates.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayBuilders

    public ArrayBuilders()

### Method Detail

#### getBooleanBuilder

    public ArrayBuilders.BooleanBuilder getBooleanBuilder()

#### getByteBuilder

    public ArrayBuilders.ByteBuilder getByteBuilder()

#### getShortBuilder

    public ArrayBuilders.ShortBuilder getShortBuilder()

#### getIntBuilder

    public ArrayBuilders.IntBuilder getIntBuilder()

#### getLongBuilder

    public ArrayBuilders.LongBuilder getLongBuilder()

#### getFloatBuilder

    public ArrayBuilders.FloatBuilder getFloatBuilder()

#### getDoubleBuilder

    public ArrayBuilders.DoubleBuilder getDoubleBuilder()

#### getArrayComparator

    public static Object getArrayComparator(Object defaultValue)

Helper method used for constructing simple value comparator used for comparing arrays for content equality.

Note: current implementation is not optimized for speed; if performance ever becomes an issue, it is possible to construct much more efficient typed instances (one for Object[] and sub-types; one per primitive type).

Since:
  2.2 Moved from earlier `Comparators` class

#### arrayToSet

    public static <T> HashSet<T> arrayToSet(T[] elements)

#### insertInListNoDup

    public static <T> T[] insertInListNoDup(T[] array,
                            T element)

Helper method for constructing a new array that contains specified element followed by contents of the given array but never contains duplicates. If element already existed, one of two things happens: if the element was already the first one in array, array is returned as is; but if not, a new copy is created in which element has moved as the head.